Bug 847794 - Review Request: gl3n An OpenGL Mathematics library for D
Review Request: gl3n An OpenGL Mathematics library for D
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 11:12 EDT by MERCIER Jonathan
Modified: 2012-10-23 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 15:32:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2012-08-13 11:12:12 EDT
SPEC: http://bioinfornatics.fedorapeople.org/gl3n.spec
SRPM: http://bioinfornatics.fedorapeople.org/gl3n-1-2.20120813git1fb5a4a.fc17.src.rpm
Koji scratch build f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4384585

$ find ~/rpmbuild/SPECS/ ~/rpmbuild/SRPMS ~/rpmbuild/RPMS -type f  -iname "*gl3n*" | xargs rpmlint 
/home/builder/rpmbuild/SPECS/gl3n.spec: W: invalid-url Source0: gl3n-20120813git1fb5a4a.tar.xz
(none): E: error while reading /home/builder/rpmbuild/SPECS/gl3n.spec~: error reading package header
gl3n.src: W: spelling-error %description -l en_US quaternions -> Quaternary
gl3n.src: W: spelling-error %description -l en_US lerp -> leap, leper
gl3n.src: W: spelling-error %description -l en_US slerp -> sleep, slurp
gl3n.src: W: spelling-error %description -l en_US hermite -> Hermite, hermit, hermits
gl3n.src: W: spelling-error %description -l en_US catmull -> cat mull, cat-mull, Catullus
gl3n.src: W: spelling-error %description -l en_US rom -> ROM, Rom, tom
gl3n.src: W: spelling-error %description -l en_US templated -> templates, template, template d
gl3n.src: W: spelling-error %description -l fr slerp -> serpule
gl3n.src: W: spelling-error %description -l fr swizzling -> Zwingli
gl3n.src: W: invalid-url Source0: gl3n-20120813git1fb5a4a.tar.xz
gl3n-devel.x86_64: W: no-documentation
gl3n.x86_64: W: spelling-error %description -l en_US quaternions -> Quaternary
gl3n.x86_64: W: spelling-error %description -l en_US lerp -> leap, leper
gl3n.x86_64: W: spelling-error %description -l en_US slerp -> sleep, slurp
gl3n.x86_64: W: spelling-error %description -l en_US hermite -> Hermite, hermit, hermits
gl3n.x86_64: W: spelling-error %description -l en_US catmull -> cat mull, cat-mull, Catullus
gl3n.x86_64: W: spelling-error %description -l en_US rom -> ROM, Rom, tom
gl3n.x86_64: W: spelling-error %description -l en_US templated -> templates, template, template d
gl3n.x86_64: W: spelling-error %description -l fr slerp -> serpule
gl3n.x86_64: W: spelling-error %description -l fr swizzling -> Zwingli
gl3n.x86_64: W: unstripped-binary-or-object /usr/lib64/libgl3n-ldc.so.1.0.0
4 packages and 1 specfiles checked; 0 errors, 22 warnings.
Comment 1 Paul Wouters 2012-09-21 12:55:26 EDT
Note: comments ver ysimilar to glfw.

The version seems better to be 0, as upstream has no versioning whatsoever. It uses a soname of 1, but we don't know if that signifies a pre or post release of version 1. I suggest gl3n-0.20120921-1

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[!]: MUST Package requires other packages for directories it uses.
     See pkgconfig and geany and ldc Requires for the -devel package
     Note: I filed rhbz#859492 for /usr/include/d being unowned.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
     Why is the non-standard (unversioned) {_defaultdocdir}/%{name} used?
     Perhaps after make install, remove those files and use %doc to put these
     in the right place?
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: gl3n-1-2.20120813git1fb5a4a.fc17.x86_64.rpm
          gl3n-1-2.20120813git1fb5a4a.fc17.src.rpm
          gl3n-devel-1-2.20120813git1fb5a4a.fc17.x86_64.rpm
gl3n.x86_64: I: enchant-dictionary-not-found fr
gl3n.x86_64: W: spelling-error %description -l en_US quaternions -> Quaternary
gl3n.x86_64: W: spelling-error %description -l en_US lerp -> leap, leper
gl3n.x86_64: W: spelling-error %description -l en_US slerp -> sleep, slurp
gl3n.x86_64: W: spelling-error %description -l en_US hermite -> Hermite, hermit, hermits
gl3n.x86_64: W: spelling-error %description -l en_US catmull -> cat mull, cat-mull, Catullus
gl3n.x86_64: W: spelling-error %description -l en_US rom -> ROM, Rom, tom
gl3n.x86_64: W: spelling-error %description -l en_US templated -> templates, template, template d
gl3n.x86_64: W: spelling-error %description -l fr dont -> don't
gl3n.x86_64: W: spelling-error %description -l fr ment -> meant
gl3n.x86_64: W: unstripped-binary-or-object /usr/lib64/libgl3n-ldc.so.1.0.0
gl3n.src: W: spelling-error %description -l en_US quaternions -> Quaternary
gl3n.src: W: spelling-error %description -l en_US lerp -> leap, leper
gl3n.src: W: spelling-error %description -l en_US slerp -> sleep, slurp
gl3n.src: W: spelling-error %description -l en_US hermite -> Hermite, hermit, hermits
gl3n.src: W: spelling-error %description -l en_US catmull -> cat mull, cat-mull, Catullus
gl3n.src: W: spelling-error %description -l en_US rom -> ROM, Rom, tom
gl3n.src: W: spelling-error %description -l en_US templated -> templates, template, template d
gl3n.src: W: spelling-error %description -l fr dont -> don't
gl3n.src: W: spelling-error %description -l fr ment -> meant
gl3n.src: W: invalid-url Source0: gl3n-20120813git1fb5a4a.tar.xz
gl3n-devel.x86_64: I: enchant-dictionary-not-found fr_FR
gl3n-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 21 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint gl3n-devel
gl3n-devel.x86_64: I: enchant-dictionary-not-found fr
gl3n-devel.x86_64: I: enchant-dictionary-not-found fr_FR
gl3n-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
gl3n-1-2.20120813git1fb5a4a.fc17.x86_64.rpm (rpmlib, GLIBC filtered):

    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libphobos-ldc.so.59()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)

gl3n-devel-1-2.20120813git1fb5a4a.fc17.x86_64.rpm (rpmlib, GLIBC filtered):

    /usr/bin/pkg-config
    gl3n(x86-64) = 1-2.20120813git1fb5a4a.fc17
    libgl3n-ldc.so.1()(64bit)

Provides
--------
gl3n-1-2.20120813git1fb5a4a.fc17.x86_64.rpm:

    gl3n = 1-2.20120813git1fb5a4a.fc17
    gl3n(x86-64) = 1-2.20120813git1fb5a4a.fc17
    libgl3n-ldc.so.1()(64bit)

gl3n-devel-1-2.20120813git1fb5a4a.fc17.x86_64.rpm:

    gl3n-devel = 1-2.20120813git1fb5a4a.fc17
    gl3n-devel(x86-64) = 1-2.20120813git1fb5a4a.fc17
    pkgconfig(gl3n) = 1.0.0

MD5-sum check
-------------


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 847794
External plugins:
Comment 2 Paul Wouters 2012-09-21 13:32:20 EDT
/usr/lib64/libgl3n-ldc.so.1.0.0: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=0x0340c3c46d36d359c53b19d2d0caf9f03ebfa885, not stripped

this also needs fixing, something going wrong with creating the debug package.
Comment 3 MERCIER Jonathan 2012-09-21 15:25:17 EDT
I do not know the reason exactly but stripping process do not works with D shared library.

For this reason is used: %global debug_package %{nil}

That is same for haskell by example
Comment 5 Paul Wouters 2012-09-23 18:13:11 EDT
I think you might have uploaded the old spec?

eg it does not address the requires for the -devel package on /usr/include/d ?
Comment 6 MERCIER Jonathan 2012-09-23 18:47:08 EDT
/usr/include/d should be own by ldc the compiler but i look ig gdc ( gcc D compiler) wiill come into fedora in this case /usr/include/d should not be own by ldc
Comment 7 MERCIER Jonathan 2012-09-26 05:58:32 EDT
Done ldc own /usr/include/d 
I will see if gdc come into fedora
Comment 8 Paul Wouters 2012-10-03 23:41:40 EDT
APPROVED with these changes
Comment 9 MERCIER Jonathan 2012-10-07 17:28:38 EDT
New Package SCM Request
=======================
Package Name: gl3n
Short Description: gl3n An OpenGL Mathematics library for D  
Owners: bioinfornatics
Branches: f17 f18 
InitialCC: bioinfornatics
Comment 10 Jason Tibbitts 2012-10-08 12:39:14 EDT
This ticket is not assigned to anyone.  Please fix and re-raise the flag.
Comment 11 Gwyn Ciesla 2012-10-09 06:50:50 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.